use std::os::raw::c_int;
use log::{error, info, warn};
use crate::config::{ ServerConfiguration, ClientConfiguration, ObfsProtocol, ServerPeer };
use fast32::base32::RFC4648;
use crate::client;
use jni::sys::jint;

pub fn mobile_run(cfg_raw: String, close_fd_on_drop: bool, tun_fd: jint) -> c_int {
    let config: ClientConfiguration = serde_yaml::from_slice(RFC4648.decode(cfg_raw.as_bytes()).unwrap().as_slice()).expect("Bad client config file structure");

    let block = client::client_mode(config, tun_fd);
    /*let block = async move {
        let mut config = tun2::Configuration::default();

        config.raw_fd(tun_fd);
        config.close_fd_on_drop(close_fd_on_drop);

        let device = tun2::create_as_async(&config).map_err(std::io::Error::from)?;
        let join_handle = tokio::spawn(run(device, shutdown_token));

        join_handle.await.map_err(std::io::Error::from)?
    };*/
    -1
}

pub fn mobile_stop() -> c_int {
    /*if let Ok(mut lock) = TUN_QUIT.lock() {
        if let Some(shutdown_token) = lock.take() {
            shutdown_token.cancel();
            return 0;
        }
    }*/
    -1
}